Package org.apache.tomcat.websocket

# Enum Class AuthenticationType

java.lang.Object
java.lang.Enum<AuthenticationType>
org.apache.tomcat.websocket.AuthenticationType

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthenticationType>`, `Constable`

public enum AuthenticationType extends Enum<AuthenticationType>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PROXY`
`WWW`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthenticateHeaderName()`
`String`
`getAuthorizationHeaderName()`
`String`
`getUserNameProperty()`
`String`
`getUserPasswordProperty()`
`String`
`getUserRealmProperty()`
`static AuthenticationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthenticationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WWW

public static final AuthenticationType WWW

### PROXY

public static final AuthenticationType PROXY

## Method Details

### values

public static AuthenticationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthenticationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getAuthorizationHeaderName

public String getAuthorizationHeaderName()

### getAuthenticateHeaderName

public String getAuthenticateHeaderName()

### getUserNameProperty

public String getUserNameProperty()

### getUserPasswordProperty

public String getUserPasswordProperty()

### getUserRealmProperty

public String getUserRealmProperty()